DISKPART(8) | System Manager's Manual | DISKPART(8)

# NAME

`diskpart` — calculate default disk partition sizes

# SYNOPSIS

`diskpart` | [`-d`] [`-p`] [`-s` size] disk-type

# DESCRIPTION

`diskpart` is used to calculate the disk partition sizes based on the default rules used at Berkeley.

Available options and operands:

`-d`
  An entry suitable for inclusion in the disk description file /etc/disktab is generated; for example, disktab(5).
`-p`
  Tables suitable for inclusion in a device driver are produced.
`-s` size
  The size of the disk may be limited to size with the `-s` option.

On disks that use bad144(8) type of bad-sector forwarding, space is normally left in the last partition on the disk for a bad sector forwarding table, although this space is not reflected in the tables produced. The space reserved is one track for the replicated copies of the table and sufficient tracks to hold a pool of 126 sectors to which bad sectors are mapped. For more information, see bad144(8). The `-s` option is intended for other controllers which reserve some space at the end of the disk for bad-sector replacements or other control areas, even if not a multiple of cylinders.

The disk partition sizes are based on the total amount of space on the disk as given in the table below (all values are supplied in units of sectors). The ‘`c`’ partition is, by convention, used to access the entire physical disk. The device driver tables include the space reserved for the bad sector forwarding table in the ‘`c`’ partition; those used in the disktab and default formats exclude reserved tracks. In normal operation, either the ‘`g`’ partition is used, or the ‘`d`’, ‘`e`’, and ‘`f`’ partitions are used. The ‘`g`’ and ‘`f`’ partitions are variable-sized, occupying whatever space remains after allocation of the fixed sized partitions. If the disk is smaller than 20 Megabytes, then `diskpart` aborts with the message “`disk too small, calculate by hand`”.

Partition | 20-60 MB | 61-205 MB | 206-355 MB | 356+ MB
a | 15884 | 15884 | 15884 | 15884
b | 10032 | 33440 | 33440 | 66880
d | 15884 | 15884 | 15884 | 15884
e | unused | 55936 | 55936 | 307200
h | unused | unused | 291346 | 291346

If an unknown disk type is specified, `diskpart` will prompt for the required disk geometry information.

# SEE ALSO

disktab(5), bad144(8)

# HISTORY

The `diskpart` command appeared in 4.2BSD.

# BUGS

Most default partition sizes are based on historical artifacts (like the RP06), and may result in unsatisfactory layouts.

When using the `-d` flag, alternative disk names are not included in the output.

June 6, 1993 | NetBSD 10.99